<?php
$soor_type = 2; // Проверка наличия сооружения
include_once('../inclfiles/core.php');
$work = mysql_fetch_array(mysql_query("SELECT * FROM `works` WHERE `id` = 6"));
$building = mysql_fetch_array(mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id']." AND `type` = 2"));
$building_all = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_all` WHERE `type` = 2 AND `level` = ".$building['level'].""));
$title = $work['name'];
include_once('../inclfiles/head.php');

if(mysql_num_rows(mysql_query("SELECT * FROM `tasks` WHERE `work` = ".$work['id']." AND `country` = ".$country['id']."")) != 0){
	t('В данный момент уже ведется обучение военных');
}
else{
	if($country['peoples_free'] == 0 OR $country['academics_free'] == 0){
		if($country['peoples_free'] == 0 AND $country['academics_free'] == 0) t('В Вашем государстве нет свободных рабочих и ученых');
		else if($country['peoples_free'] == 0) t('В Вашем государстве нет свободных рабочих');
		else t('В Вашем государстве нет свободных ученых');
	}
	else{
		if($_POST['ok'] != null){
			$peoples = num($_POST['peoples']);
            $academics = num($_POST['academics']);
            $type = filter($_POST['type']);
	        if($type != 'kavaleria' AND $type != 'strelki') $type = 'pehota';
            if(empty($academics) OR empty($peoples)) $err[] = 'Не заполнено одно или несколько полей';
            else{
	            if($building['level'] < 2 OR $country['territory_free'] < 8000){
	            	if($country['territory_free'] < 8000 AND $type == 'kavaleria') $err[] = 'Для подготовки кавалеристов требуется 8000 км<sup>2</sup> и более свободной территории и сооружение вооруженных сил 2 уровня и выше';
	            	if($country['territory_free'] < 14000 AND $type == 'strelki') $err[] = 'Для подготовки стрелков требуется 14000 км<sup>2</sup> и более свободной территории и сооружение вооруженных сил 2 уровня и выше';
	            }
	            if($peoples > $country['peoples_free']) $err[] = 'Недостаточно свободных рабочих';
	            if($academics > $country['academics_free']) $err[] = 'Недостаточно свободных ученых';

         	    if($type == 'strelki'){
         	    	$name_one = 'стрелкв';
         	    	$name_two = 'стрелков';
					$time_one = 1400;
					$cena_money = 15;
					$cena_iron = 5;
					$cena_grain = 20;
					$cena_stone = 7;
					$cena_wood = 5;
					$work_type = 3;
         	    }
         	    else if($type == 'kavaleria'){
         	    	$name_one = 'кавалериста';
         	    	$name_two = 'кавалеристов';
					$time_one = 1000;
					$cena_money = 12;
					$cena_iron = 3;
					$cena_grain = 15;
					$cena_stone = 4;
					$cena_wood = 3;
					$work_type = 2;
         	    }
         		else{
         	    	$name_one = 'пехотинца';
         	    	$name_two = 'пехотинцев';
					$time_one = 800;
					$cena_money = 7;
					$cena_iron = 2;
					$cena_grain = 5;
					$cena_stone = 0;
					$cena_wood = 0;
					$work_type = 1;
         		}

         		if($country['oruzhie'] == 'easy' AND $country['mundir'] == 'easy') $koef = 1;
         		else $koef = 1.1;

                $ostalos = floor($time_one * $peoples / $academics);
                $cena_money = $cena_money*$peoples;
                $cena_grain = $cena_grain*$peoples;
                $cena_stone = $cena_stone*$peoples;
                $cena_iron = floor($cena_iron*$peoples*$koef);
                $cena_wood = $cena_wood*$peoples;

               	if(!res_proverka($cena_money,$cena_wood,$cena_stone,$cena_iron,$cena_grain,0,0)) $err[] = 'Недостаточно ресурсов';

	        }
         	if(!isset($err)){



                mysql_query("INSERT INTO `tasks` SET `work` = 6,`mans` = '".$work['mans']."', `country` = ".$country['id'].", `number` = ".$academics.", `kolvo` = ".$peoples.", `work_type` = ".$work_type.",`time_start` = ".time().", `time_end` = ".(time() + $ostalos)."");
             	mysql_query("UPDATE `countries` SET `peoples_free`= (`peoples_free` - ".$peoples."),`peoples`= (`peoples` - ".$peoples."),`academics_free`= (`academics_free` - ".$academics."), `money`= (`money` - ".$cena_money."), `wood`= (`wood` - ".$cena_wood."), `stone`= (`stone` - ".$cena_stone."), `iron`= (`iron` - ".$cena_iron."), `grain`= (`grain` - ".$cena_grain.") WHERE `id` = ".$country['id']." ");

				t1();
				echo 'Тренировка '.chislo($peoples,$name_one,$name_two,$name_two).' успешно начата<br/>';
				echo 'Это обошлось Вам в '.chislo($cena_money,'монету','монеты','монет');
                if($cena_grain != 0) echo ', '.chislo($cena_grain,'зерно','зерна','зерна');
                if($cena_stone != 0) echo ', '.chislo($cena_stone,'камень','камня','камня');
                if($cena_wood != 0) echo ', '.chislo($cena_wood,'дерево','дерева','дерева');
				echo ' и '.chislo($cena_iron,'железо','железа','железа').'<br/>';
				echo 'До завершения осталось: '.period($ostalos).'<br/>';
				t2();

				a('new_task.php?','Добавление задач','add');
				a('/buildings.php?id=1&',$building_all['name'],'building');
				include_once('../inclfiles/foot.php');
         	}
		}
		err();
		echo '<form action="obuch_voisko.php?'.$gets.'" method="POST">';
		c('Количество рабочих для обучения (свободно '.$country['peoples_free'].'):<br/><input type="text" name="peoples" value="'.intval($peoples).'"/>');
		c('Ученые, которые будут обучать рабочих (свободно '.$country['academics_free'].'):<br/><input type="text" name="academics" value="'.intval($academics).'"/>');
		t1();
		echo '<center>';
		echo 'Тип войск: ';
		if($building['level'] >= 2 AND $country['territory_free'] >= 8000){
			echo '<br/>';
        	if($country['territory_free'] >= 14000) echo '<input type="radio" name="type" value="strelki" '.(($type == 'strelki') ? ' checked="checked" ':'').'> Стрелки<br/>';
            echo '<input type="radio" name="type" value="kavaleria"'.(($type == 'kavaleria') ? ' checked="checked" ':'').'> Кавалерия<br/>';
            echo '<input type="radio" name="type" value="pehota"'.(($type == 'pehota') ? ' checked="checked" ':'').'> Пехота<br/>';
		}
		else echo 'пехота<br/>';
		echo '</center>';
		t2();
		c('<input name="ok" type="submit" value="Обучить" />');
		echo '</form>';
		t('Текущее войско: '.voisko($voiska['pehota'],$voiska['kavaleria'],$voiska['strelki']).'<br/>Из них свободно: '.voisko($voiska['pehota_free'],$voiska['kavaleria_free'],$voiska['strelki_free']));
	}

}

a('new_task.php?','Добавление задач','add');
a('/buildings.php?id=2&',$building_all['name'],'building');
include_once('../inclfiles/foot.php');
?>